import dynamix_sdk.base as _base


class CloudapiComputeEnableResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeEnableProtocol(_base.BasePostAPIFunctionProtocol):
    def enable(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeEnableResultBool:
        ...
